Skip to main content
POST
/
tests
/
{testId}
/
entities
/
{entityId}
/
deactivate
Deactivate test entity
curl --request POST \
  --url https://api.vanta.com/v1/tests/{testId}/entities/{entityId}/deactivate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "deactivateReason": "<string>",
  "deactivateUntilDate": "2023-11-07T05:31:56Z"
}
'

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

testId
string
required
entityId
string
required

Body

application/json
deactivateReason
string
required

Reason for deactivating the entity.

Minimum string length: 1
deactivateUntilDate
string<date-time>

Date until which the entity should be deactivated. If not provided, the entity will be deactivated indefinitely.

Response

202

Deactivation request accepted